Bound By Flame

Operating System

Windows, Linux

Release Date

8 May 2014

Developer

Spiders

Best Price

$5.84

About

You are a mercenary possessed by a flame demon in a desperate world ravaged by seven Ice Lords. In this RPG where every choice counts, you will have to choose between unleashing the powers of the beast within and rejecting its demonic influence.

Languages

English, French (text), Italian (text), German, Spanish - Spain (text), Czech (text), Polish (text), Russian (text), Traditional Chinese (text), Korean (text)

System Requirements

Windows

Linux

Minimum:
  • OS: WINDOWS XP SP3/WINDOWS VISTA SP2/WINDOWS 7/WINDOWS 8
  • Processor: AMD/INTEL DUAL-CORE 2.2 GHZ
  • Memory: 2048 MB RAM
  • Graphics: 512 MB 100% DIRECTX 9 AND SHADERS 4.0 COMPATIBLE ATI RADEON HD 4850/NVIDIA GEFORCE 8800 GT OR HIGHER
  • Storage: 6 GB available space
  • Sound Card: DIRECTX 9 COMPATIBLE
  • Additional Notes: INTERNET CONNECTION REQUIRED FOR THE GAME ACTIVATION